Your best friend for file transfer.

Fetch application logoFetch

4.0.2 and KClient (4 posts)

This is an archived topic. The information in it is likely to be out-of-date and no longer applicable to current versions of Fetch.
  • Started 12 years ago by dsnyder
  • Latest reply 12 years ago from Jim Matthews
  • dsnyder Member

    Having problems connecting to our Kerberized ftp servers since upgrading to 4.0.2, under OS X 10.1.4. Worked fine with 4.0.1.

    Here is a transcript of a successful session under 4.0.1:
    System Version = 0x1014
    Connecting to xxxxxxx port 21 (6/3/02 3:24:16 PM)
    220 xxxxxxxx FTP server (Version 5.60) ready.
    ADAT
    503 Must identify AUTH type before ADAT
    AUTH KERBEROS_V4
    334 Using authentication type KERBEROS_V4; ADAT must follow
    ADAT
    235 ADAT=BA8EAAAAfm2AphyChDQMoz0Ew4meCEqAGbF0SqvlRUgzOz8=
    USER xxxxx
    232 Kerberos user xxxxx@NET.YALE.EDU is authorized as xxxxx
    PBSZ 131072
    200 PBSZ=131072
    PROT P
    200 Data channel protection level set to private.
    PWD
    257 "/xxxxxx" is current directory.
    SYST
    215 UNIX Type: L8
    PWD
    257 "/xxxxxx" is current directory.
    MACB ENABLE
    500 'MACB ENABLE': command not understood.
    PWD
    257 "/xxxxxx" is current directory.

    And a failed session under 4.0.2:
    Fetch 4.0.2 System 0x1014 Serial xx
    Connecting to xxxxxxx port 21 (6/3/02 3:27:13 PM)
    220 xxxxxxxx FTP server (Version 5.60) ready.
    ADAT
    503 Must identify AUTH type before ADAT
    AUTH KERBEROS_V4
    334 Using authentication type KERBEROS_V4; ADAT must follow
    sec_krbv4_get_auth_data() krbv4_service_name = ftp.olympus
    ADAT
    535 ADAT: Kerberos V4 krb_rd_req: Protocol version mismatch (krb_rd_req)

    Posted 12 years ago #

  • Jim Matthews Administrator

    Fetch 4.0.2 appears to have broken KClient support. I am working on fixing this for the next release.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 12 years ago #

  • dc30 Member

    Any progress on this? It's been 6 months,...

    Originally posted by
    JimMatthews:

    Fetch 4.0.2 appears to have broken KClient support. I am working on fixing this for the next release.

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 12 years ago #

  • Jim Matthews Administrator

    I'm aiming to release Fetch 4.0.3, which fixes this problem, next week.

    Thanks for your patience,

    Jim Matthews
    Fetch Softworks

    Posted 12 years ago #

Topic closed

This topic has been closed.